#94846 Report by node docker-deb-ubuntu_17_10_artful covering 1804 tests from 52 modules resulted into 6 errors

Report

ObsPy Version
1.0.3.post0+1247.gb62ed7074...
Continuous Integration
-
GitHub Pull Request
-
Report File
XML Document
Total Runtime
481.5 sec
Report Date/Time
2018-05-06 02:25:54

System / Python

Architecture
64bit
Machine
x86_64
Node
docker-deb-ubuntu_17_10_artful
Processor
x86_64
Python Compiler
GCC 7.2.0
Python Implementation
CPython
Python Version
3.6.3
Release
4.4.0-119-generic
System
Linux
Version
#143-Ubuntu SMP Mon Apr 2 16:08:24 UTC 2018

Dependencies

IPython
---
cartopy
---
decorator
4.1.1
flake8
3.2.1
future
0.16.0
geographiclib
1.48
lxml.etree
4.0.0
m2crypto
---
matplotlib
2.0.0
mock
2.0.0
mpl_toolkits.basemap
1.0.7
numpy
1.12.1
osgeo.gdal
---
pep8-naming
---
pyflakes
1.5.0
pyimgur
0.5.3
pyproj
1.9.5.1
requests
2.18.1
scipy
0.18.1
setuptools
36.2.7
sqlalchemy
1.1.9

Modules (52)

Module Errors /
Failures
Tracebacks
obspy.clients.arclink 2 1 2
obspy.clients.earthworm - -
obspy.clients.fdsn - -
obspy.clients.filesystem - -
obspy.clients.iris 2 3 4
obspy.clients.neic - -
obspy.clients.seedlink - -
obspy.clients.seishub - -
obspy.clients.syngine - -
obspy.core - -
obspy.db - -
obspy.geodetics - -
obspy.imaging - -
obspy.io.ah - -
obspy.io.arclink - -
obspy.io.ascii - -
obspy.io.cmtsolution - -
obspy.io.cnv - -
obspy.io.css - -
obspy.io.gcf - -
obspy.io.gse2 - -
obspy.io.json - -
obspy.io.kinemetrics - -
obspy.io.kml - -
obspy.io.mseed - -
obspy.io.ndk - -
obspy.io.nied - -
obspy.io.nlloc - -
obspy.io.nordic - -
obspy.io.pdas - -
obspy.io.pde - -
obspy.io.quakeml - -
obspy.io.reftek - -
obspy.io.sac - -
obspy.io.scardec - -
obspy.io.seg2 - -
obspy.io.segy - -
obspy.io.seisan - -
obspy.io.seiscomp - -
obspy.io.sh - -
obspy.io.shapefile - -
obspy.io.stationtxt - -
obspy.io.stationxml - -
obspy.io.wav - -
obspy.io.win - -
obspy.io.xseed - -
obspy.io.y - -
obspy.io.zmap - -
obspy.realtime - -
obspy.scripts - -
obspy.signal 2 5 6
obspy.taup - -
Summary 6 6

Tracebacks (6)

Traceback (most recent call last):
File "/usr/lib/python3.6/doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.arclink.__init__
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/__init__.py", line 1, in __init__
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/__init__.py", line 79, in obspy.clients.arclink.__init__
Failed example:
paz = client.get_paz('BW', 'MANZ', '', 'EHZ', dt)
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.arclink.__init__[10]>", line 1, in <module>
paz = client.get_paz('BW', 'MANZ', '', 'EHZ', dt)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 944, in get_paz
instruments=True, route=route)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 1111, in get_inventory
result = self._fetch(rtype, rdata, route=route)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 225, in _fetch
endtime=request_data[1])
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 619, in get_routing
result = self._fetch(rtype, rdata, route=False)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 219, in _fetch
return self._request(request_type, request_data)
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/client.py", line 324, in _request
raise ArcLinkException("%s %s" % (err_code, msg))
obspy.clients.arclink.client.ArcLinkException: b'UNSET'
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/core/util/testing.py", line 684, in assertAttribDictEqual
self.assertDictEqual(expected.__dict__, actual.__dict__)
AssertionError: {'sam[229 chars]Z', '_format': 'MSEED', 'paz': AttribDict({'no[851 chars]))']} != {'sam[229 chars]Z', 'mseed': AttribDict({'dataquality': 'D', '[850 chars]2'})}
Diff is 2109 characters long. Set self.maxDiff to None to see it.
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/arclink/tests/test_client.py", line 279, in test_get_waveform_with_metadata
self.assertEqual(results, st[0].stats)
AssertionError: {'sam[229 chars]Z', '_format': 'MSEED', 'paz': AttribDict({'no[851 chars]))']} != {'sam[229 chars]Z', 'mseed': AttribDict({'dataquality': 'D', '[850 chars]2'})}
Diff is 2109 characters long. Set self.maxDiff to None to see it.
Differing items:
Expected: mseed: AttribDict({'record_length': 512, 'encoding': 'STEIM1', 'filesize': 30720, 'dataquality': 'D', 'number_of_records': 60, 'byteorder': '>'})
Actual : mseed: AttribDict({'dataquality': 'D', 'number_of_records': 4, 'encoding': 'STEIM1', 'byteorder': '>', 'record_length': 512, 'filesize': 30720})
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 340, in timeseries
data = self._fetch("timeseries", param_list=filter, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 133, in _fetch
response = urllib_request.urlopen(req, timeout=self.timeout)
File "/usr/lib/python3.6/urllib/request.py", line 223, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.6/urllib/request.py", line 532, in open
response = meth(req, response)
File "/usr/lib/python3.6/urllib/request.py", line 642, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.6/urllib/request.py", line 570, in error
return self._call_chain(*args)
File "/usr/lib/python3.6/urllib/request.py", line 504, in _call_chain
result = func(*args)
File "/usr/lib/python3.6/urllib/request.py", line 650, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 400: Bad Request
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/tests/test_client.py", line 256, in test_timeseries
filter=["correct"])
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 344, in timeseries
raise Exception(msg)
Exception: No waveform data available (HTTPError: HTTP Error 400: Bad Request)
Traceback (most recent call last):
File "/usr/lib/python3.6/doctest.py", line 2199, in runTest
raise self.failureException(self.format_failure(new.getvalue()))
AssertionError: Failed doctest test for obspy.clients.iris.client.Client.timeseries
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 177, in timeseries
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 318, in obspy.clients.iris.client.Client.timeseries
Failed example:
st = client.timeseries("IU", "ANMO", "00", "BHZ", dt, dt+10,
filter=["correct", "demean", "lp=2.0"])
Exception raised:
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 340, in timeseries
data = self._fetch("timeseries", param_list=filter, **kwargs)
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 133, in _fetch
response = urllib_request.urlopen(req, timeout=self.timeout)
File "/usr/lib/python3.6/urllib/request.py", line 223, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.6/urllib/request.py", line 532, in open
response = meth(req, response)
File "/usr/lib/python3.6/urllib/request.py", line 642, in http_response
'http', request, response, code, msg, hdrs)
File "/usr/lib/python3.6/urllib/request.py", line 570, in error
return self._call_chain(*args)
File "/usr/lib/python3.6/urllib/request.py", line 504, in _call_chain
result = func(*args)
File "/usr/lib/python3.6/urllib/request.py", line 650, in http_error_default
raise HTTPError(req.full_url, code, msg, hdrs, fp)
urllib.error.HTTPError: HTTP Error 400: Bad Request
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/usr/lib/python3.6/doctest.py", line 1330, in __run
compileflags, 1), test.globs)
File "<doctest obspy.clients.iris.client.Client.timeseries[6]>", line 2, in <module>
filter=["correct", "demean", "lp=2.0"])
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 344, in timeseries
raise Exception(msg)
Exception: No waveform data available (HTTPError: HTTP Error 400: Bad Request)
----------------------------------------------------------------------
File "/usr/lib/python3/dist-packages/obspy/clients/iris/client.py", line 320, in obspy.clients.iris.client.Client.timeseries
Failed example:
print(st[0].data) # doctest: +ELLIPSIS
Expected:
[ -1.57488682e-06 -1.26318002e-06 -7.84807128e-07 ...
Got:
[ 24 20 19 19 19 15 10 4 -4 -11 -19 -26 -35 -48 -60
-72 -83 -95 -109 -121 -133 -147 -162 -179 -195 -208 -221 -238 -256 -272
-285 -301 -314 -324 -333 -341 -350 -358 -365 -370 -376 -378 -378 -380 -381
-381 -378 -376 -374 -370 -364 -359 -356 -352 -345 -337 -331 -328 -323 -316
-310 -305 -301 -295 -290 -289 -283 -275 -271 -269 -267 -263 -258 -257 -253
-248 -243 -240 -239 -237 -233 -229 -224 -218 -211 -208 -205 -202 -200 -195
-191 -185 -181 -180 -179 -177 -177 -177 -176 -176 -179 -183 -185 -187 -189
-192 -198 -204 -210 -216 -220 -227 -235 -241 -247 -253 -262 -270 -277 -284
-294 -304 -313 -323 -332 -340 -345 -350 -355 -358 -361 -364 -369 -372 -371
-372 -374 -373 -368 -364 -362 -357 -349 -344 -338 -331 -320 -311 -302 -291
-280 -268 -255 -243 -231 -218 -203 -187 -173 -160 -147 -132 -119 -108 -97
-86 -73 -62 -54 -48 -42 -37 -33 -29 -27 -27 -25 -26 -27 -29
-31 -30 -31 -36 -40 -44 -52 -59 -68 -77 -83 -89 -95 -101 -108
-116 -123 -130 -141 -150]
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/signal/tests/test_detrend.py", line 73, in test_polynomial_detrend_plotting
polynomial(tr.data, order=3, plot=ic.name)
File "/usr/lib/python3/dist-packages/obspy/core/util/testing.py", line 490, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: polynomial_detrend.png
	RMS: 32.07987780525356
	Tolerance: 30.0
	Expected: /usr/lib/python3/dist-packages/obspy/signal/tests/images/polynomial_detrend.png
	Actual: /usr/lib/python3/dist-packages/obspy/signal/tests/images/testrun/polynomial_detrend.png
	Diff: /usr/lib/python3/dist-packages/obspy/signal/tests/images/testrun/polynomial_detrend-failed-diff.png
	Expected: https://i.imgur.com/tkzItzp.png
	Actual: https://i.imgur.com/dyF2ssR.png
	Diff: https://i.imgur.com/PPbj10U.png
Traceback (most recent call last):
File "/usr/lib/python3/dist-packages/obspy/signal/tests/test_detrend.py", line 87, in test_spline_detrend_plotting
spline(tr.data, order=1, dspline=1500, plot=ic.name)
File "/usr/lib/python3/dist-packages/obspy/core/util/testing.py", line 490, in __exit__
raise ImageComparisonException(msg)
obspy.core.util.testing.ImageComparisonException: Image comparison failed.
	File: degree_1_spline_detrend.png
	RMS: 32.3203514832373
	Tolerance: 30.0
	Expected: /usr/lib/python3/dist-packages/obspy/signal/tests/images/degree_1_spline_detrend.png
	Actual: /usr/lib/python3/dist-packages/obspy/signal/tests/images/testrun/degree_1_spline_detrend.png
	Diff: /usr/lib/python3/dist-packages/obspy/signal/tests/images/testrun/degree_1_spline_detrend-failed-diff.png
	Expected: https://i.imgur.com/YJ2sFhI.png
	Actual: https://i.imgur.com/Fo5zHhd.png
	Diff: https://i.imgur.com/fwiyt13.png

Skipped Tests (40)

Submodule Test Skip Message
clients.arclink test_m2crypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) M2Crypto is not installed
clients.arclink test_pycrypto (obspy.clients.arclink.tests.test_decrypt.ClientTestCase) PyCrypto is not installed
clients.seedlink test_info (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_issue708 (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seedlink test_time_window (obspy.clients.seedlink.tests.test_slclient.SLClientTestCase) test must be started manually
clients.seishub runTest (doctest.DocTestCase) Seishub test server not reachable.
clients.seishub runTest (doctest.DocTestCase) Seishub test server not reachable.
clients.seishub runTest (doctest.DocTestCase) Seishub test server not reachable.
clients.seishub runTest (doctest.DocTestCase) Seishub test server not reachable.
clients.seishub test_get_channel_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_coordinates (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_event_list (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_location_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_network_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_paz (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_preview_by_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_station_ids (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveform_with_metadata (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_get_waveforms (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_localcache (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
clients.seishub test_ping (obspy.clients.seishub.tests.test_client.ClientTestCase) Seishub test server not reachable.
core test_location_plot_global (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_inventory.InventoryCartopyTestCase) cartopy not installed
core test_repr_pretty (obspy.core.tests.test_stats.StatsTestCase) IPython not installed
core test_catalog_plot_global (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_local (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_catalog_plot_ortho_longitude_wrap (obspy.core.tests.test_event.CatalogCartopyTestCase) Cartopy not installed or too old
core test_flake8 (obspy.core.tests.test_code_formatting.CodeFormattingTestCase) flake8 check disabled
core test_location_plot_global (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_local (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
core test_location_plot_ortho (obspy.core.tests.test_network.NetworkCartopyTestCase) cartopy not installed
geodetics test_gps_2_dist_azimuth_bug150 (obspy.geodetics.tests.test_util_geodetics.UtilGeodeticsTestCase) Module geographiclib is installed, not using calc_vincenty_inverse
imaging test_script_plot (obspy.imaging.tests.test_mopad_script.MopadTestCase) Currently broken until further review.
io.shapefile test_write_catalog_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_catalog_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old
io.shapefile test_write_inventory_shapefile_via_plugin (obspy.io.shapefile.tests.test_core.ShapefileTestCase) gdal not installed or version is too old

Slowest Tests (20)

Runtime Test
31.008s __init__ (obspy.clients.arclink)
21.787s test_get_networks (obspy.clients.arclink.tests.test_client.ClientTestCase)
15.987s test_get_inventory (obspy.clients.arclink.tests.test_client.ClientTestCase)
12.650s test_get_waveform_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)
10.016s test_redirection_auth (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.591s test_redirection (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.382s test_dataselect_bulk (obspy.clients.fdsn.tests.test_client.ClientTestCase)
9.257s test_ppsd_restricted_stacks (obspy.signal.tests.test_spectral_estimation.PsdTestCase)
8.360s test_plot_farfield_without_quiver_with_maps (obspy.core.tests.test_event.EventTestCase)
8.284s test_get_routing (obspy.clients.arclink.tests.test_client.ClientTestCase)
7.571s test_evalresp (obspy.clients.iris.tests.test_client.ClientTestCase)
7.187s test_get_inventory_twice (obspy.clients.arclink.tests.test_client.ClientTestCase)
6.805s test_iris_example_queries_dataselect (obspy.clients.fdsn.tests.test_client.ClientTestCase)
6.327s test_delayed_request (obspy.clients.arclink.tests.test_client.ClientTestCase)
6.145s __init__ (obspy.clients.fdsn.client.Client)
5.915s test_issue_311 (obspy.clients.arclink.tests.test_client.ClientTestCase)
5.533s test_save_waveform_no_compression (obspy.clients.arclink.tests.test_client.ClientTestCase)
5.484s test_get_waveform_with_dcid_key_file (obspy.clients.arclink.tests.test_decrypt.ClientTestCase)
5.121s test_issue_372 (obspy.clients.arclink.tests.test_client.ClientTestCase)
4.967s test_get_inventory_instrument_change (obspy.clients.arclink.tests.test_client.ClientTestCase)

Chuck Norris Fact

Chuck Norris can write infinite recursion functions and have them return.